### Method

# GdkX11 X11Screen get_current_desktop

deprecated: 4.18

#### Declaration [src]

    guint32
    gdk_x11_screen_get_current_desktop (
      GdkX11Screen* screen
    )

#### Description [src]

Returns the current workspace for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

Deprecated since: 4.18

Please do not use it in newly written code.

#### Return value

Type: `guint32`

The current workspace, or 0 if workspaces are not supported.